当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 7 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : [问题]今天(2008.7.4)libnspr4-0d升级出错(已经解决)
帖子发表于 : 2008-07-04 22:35 

注册: 2007-08-17 11:32
帖子: 28
送出感谢: 0 次
接收感谢: 0 次
更新管理器的提示如下:
E: /var/cache/apt/archives/libnspr4-0d_4.7.1+1.9-0ubuntu0.8.04.2_i386.deb: 正试图覆盖“/usr/lib/libnspr4.so”,它属于软件包 libnspr4
不知道有遇到同样问题的没有?


最后由 actioin 编辑于 2008-07-10 12:06,总共编辑了 1 次

页首
 用户资料  
 
2 楼 
 文章标题 : 已经看到bug报告...
帖子发表于 : 2008-07-05 11:47 

注册: 2007-08-17 11:32
帖子: 28
送出感谢: 0 次
接收感谢: 0 次
google 的速度还真快。找到的同样的问题描述如下:


Public bug reported:

(Reading database ... 229837 files and directories currently installed.)
Preparing to replace libnspr4-0d 4.7.1+1.9-0ubuntu0.8.04.1 (using
.../libnspr4-0d_4.7.1+1.9-0ubuntu0.8.04.2_i386.deb) ...
Unpacking replacement libnspr4-0d ...
dpkg: error processing
/var/cache/apt/archives/libnspr4-0d_4.7.1+1.9-0ubuntu0.8.04.2_i386.deb
(--unpack):
trying to overwrite `/usr/lib/libnspr4.so', which is also in package libnspr4
Errors were encountered while processing:
/var/cache/apt/archives/libnspr4-0d_4.7.1+1.9-0ubuntu0.8.04.2_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

** Affects: nspr (Ubuntu)
Importance: Undecided
Status: New

可参见:
http://www.mail-archive.com/ubuntu-bugs ... 06659.html


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2008-07-05 12:16 
头像

注册: 2007-03-13 11:23
帖子: 1343
送出感谢: 0 次
接收感谢: 0 次
这个库影响firefox及其相关软件


_________________
"We are all in the mud, but some of us are looking at the stars." (Oscar Wilde)
We are not born for ourselves.
人生天地间,并非为自己
Homepage:http://sites.google.com/site/polarisnotme/


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2008-07-05 23:09 

注册: 2007-08-17 11:32
帖子: 28
送出感谢: 0 次
接收感谢: 0 次
firefox好像没感觉有什么变化。好像对系统没有什么影响,不过要能消除这个问题更好。


页首
 用户资料  
 
5 楼 
 文章标题 :
帖子发表于 : 2008-07-06 5:33 
头像

注册: 2007-03-13 11:23
帖子: 1343
送出感谢: 0 次
接收感谢: 0 次
nspr是c-low api firefox底层用这个
ns=netscape


_________________
"We are all in the mud, but some of us are looking at the stars." (Oscar Wilde)
We are not born for ourselves.
人生天地间,并非为自己
Homepage:http://sites.google.com/site/polarisnotme/


页首
 用户资料  
 
6 楼 
 文章标题 : kofshower正解
帖子发表于 : 2008-07-06 17:02 

注册: 2007-08-17 11:32
帖子: 28
送出感谢: 0 次
接收感谢: 0 次
解释是正确的,我找到的比较详细的解释如下:
This library provides platform independent non-GUI operating system facilities including:

* threads,
* thread synchronisation,
* normal file I/O and network I/O,
* interval timing and calendar time,
* basic memory management (malloc and free),
* shared library linking.

Install this package if you wish to develop your own programs using the NetScape Portable Runtime library.
参见:http://packages.ubuntu.com/zh-cn/intrepid/libnspr4-dev

好像这个库非常重要俄,未造成影响的原因可能是apt-get阻止了进一步的安装...不知道对不对。 :D


页首
 用户资料  
 
7 楼 
 文章标题 : 解决之道
帖子发表于 : 2008-07-10 12:04 

注册: 2007-08-17 11:32
帖子: 28
送出感谢: 0 次
接收感谢: 0 次
sudo apt-get remove libnspr4
sudo dpkg --install libnspr4-0d_4.7.1+1.9-0ubuntu0.8.04.2_i386.deb
希望对各位有用! :D :D


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 7 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 5 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译